TechDraw ShowAll: Difference between revisions

From FreeCAD Documentation
(Description)
(Usage and Notes.)
Line 29: Line 29:


<!--T:6-->
<!--T:6-->
# Select a View on a Page or in the tree.
# Select a View with invisible lines on a Page or in the [[Tree_view|Tree view]].
# There are several ways to invoke the tool:
# Press the {{Button|[[Image:TechDraw_ShowAll.svg|16px]] [[TechDraw_ShowAll|Show/Hide Invisible Edges]]}} button
#* Press the {{Button|[[Image:TechDraw_ShowAll.svg|16px]] [[TechDraw_ShowAll|Show/Hide Invisible Edges]]}} button.
# The state of the invisible lines in the View will be reversed.
#* Select the {{MenuCommand|TechDraw → Add Lines → [[Image:TechDraw_ShowAll.svg|16px]] Show/Hide Invisible Edges}} option from the menu.
# All invisible lines in the View are either shown or hidden.

==Notes==

* To make invisible lines permanently visible use [[Image:TechDraw_DecorateLine.svg|16px]] [[TechDraw_DecorateLine|TechDraw DecorateLine]].


==Scripting== <!--T:9-->
==Scripting== <!--T:9-->

Revision as of 19:35, 26 July 2023

TechDraw ShowAll

Menu location
TechDraw → Add Lines → Show/Hide Invisible Edges
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw Change Appearance of Line(s)

Description

The TechDraw ShowAll tool shows or hides invisible lines in a View. Lines can be made invisible with the TechDraw DecorateLine tool. Note that "invisible" is a cosmetic state, not to be confused with hidden lines which are geometric constructs.

Usage

  1. Select a View with invisible lines on a Page or in the Tree view.
  2. There are several ways to invoke the tool:
    • Press the Show/Hide Invisible Edges button.
    • Select the TechDraw → Add Lines → Show/Hide Invisible Edges option from the menu.
  3. All invisible lines in the View are either shown or hidden.

Notes

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The effect of the ShowAll tool can be duplicated in macros or the Python console.

>>> v = App.ActiveDocument.View
>>> vvo = v.ViewObject
>>> vvo.ShowAllEdges = True
>>> App.activeDocument().recompute()